print("register fruit type: blumkohl");

local blumkohlhudFile = Utils.getFilename("mods/SachsenbauermapV2/textures/hud/blumkohlHud.png", getUserProfileAppPath());
FruitUtil.registerFruitType("blumkohl", true, true, false, 4, 0.20, 5, 0.5, 0.5, blumkohlhudFile);	
	

local origSowingMachineLoad = SowingMachine.load;

SowingMachine.load = function (self, xmlFile)
	if origSowingMachineLoad ~= nil then
		origSowingMachineLoad(self, xmlFile);
	end;
	
	self.seeds = {};
	local i = 1;
    for k, fruitType in pairs(FruitUtil.fruitTypes) do
        if fruitType.allowsSeeding then
            self.seeds[i] = fruitType.index;
			i = i + 1;
        end;
    end;	
end;
